com.h3c.util.persistence.cassandra.entitymgr.column

## Class ValuelessColumn<C extends Serializable & Comparable<C>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.Column<C,Void>
  - - com.h3c.util.persistence.cassandra.entitymgr.column.ValuelessColumn<C>

- Type Parameters:
    `C` - type of the column name or column key
  All Implemented Interfaces:
    Visitable<ColumnVisitor<C>>

      public final class ValuelessColumn<C extends Serializable & Comparable<C>>
      extends Column<C,Void>

  Defined for creating Value-less column.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValuelessColumn.ValuelessColumnDecoder<C extends Serializable & Comparable<C>>` Value-less column decoder.

  - ### Field Summary

    - ### Fields inherited from class com.h3c.util.persistence.cassandra.entitymgr.column.Column

      `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValuelessColumn(ColumnName<C,Void> name)` Creates a boolean column with no value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ColumnVisitor<C> visitor)` Accepts a visitor (See visitor pattern).
    `int` | `compareTo(Column<C,Void> o2)` Valueless column does not contain any values.

    - ### Methods inherited from class com.h3c.util.persistence.cassandra.entitymgr.column.Column

      `equals, getName, getSerializer, getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValuelessColumn

          public ValuelessColumn(ColumnName<C,Void> name)

      Creates a boolean column with no value.
      Parameters:
        `name` - column's name

  - ### Method Detail

    - #### compareTo

          public int compareTo(Column<C,Void> o2)

      Valueless column does not contain any values. We will compare the names instead.
      Specified by:
        `compareTo` in class `Column<C extends Serializable & Comparable<C>,Void>`
      Parameters:
        `o2` - The other valueless column.
      Returns:
        comparison result.

    - #### accept

          public void accept(ColumnVisitor<C> visitor)

      Description copied from interface: `Visitable`
      Accepts a visitor (See visitor pattern).
      Parameters:
        `visitor` - visitor.

Copyright © 2014. All Rights Reserved.